<template>
  <div>
    <el-button type="primary" @click="handleAdd">申请复学</el-button>
    <div style="height: 20px"></div>
    <table-list :remote="remote" :columns="columns" ref="tableList"></table-list>
  </div>
</template>

<script>
import listMixins from '../../mixins/list'

export default {
  mixins: [listMixins],
  data() {
    return {
      columns: [
        { prop: 'form.sofia_id', label: 'Sofia ID' },
        { prop: 'form.class_name', label: '班级' },
        { prop: 'form.semester_name', label: '复学时间' },
        { prop: 'status_name', label: '审批状态' },
        { prop: 'approve_time1', label: '审批时间' },
        { prop: 'remark1', label: '审批备注' },
        {
          label: '操作',
          attrs: { width: '100' },
          buttons: [
            {
              label: '查看',
              isShow(row) {
                return row.status !== -1
              },
              onClick: row => {
                this.$router.push({ name: 'continueStudyView', params: { id: row.id }, query: { id: row.affair_id } })
              }
            },
            {
              label: '编辑',
              isShow(row) {
                return row.status === -1
              },
              onClick: row => {
                this.$router.push({ name: 'continueStudyEdit', params: { id: row.id }, query: { id: row.affair_id } })
              }
            },
            {
              label: '删除',
              isShow(row) {
                return row.status === -1
              },
              onClick: row => {
                this.handleRemove(row)
              }
            }
          ]
        }
      ]
    }
  },
  methods: {
    // 新增
    handleAdd() {
      this.$router.push({ name: 'continueStudyAdd', query: { id: this.affairId } })
    }
  }
}
</script>
